import React from "react";

import "./index.scss";

export default ({ id, label, type = "text", ...rest }) => (
	<label htmlFor={id} className="input-box">
		{label}
		<input className="input-box__input" id={id} type={type} {...rest} />
	</label>
);
