import React from "react";
import { Switch, Route, Redirect } from "react-router-dom";

import Main from "./containers/main";
import Count from "./containers/count";
import ReduxTodo from "./containers/reduxTodo";
import RemoteTodo from "./containers/remote-todo";

export default () => (
	<Switch>
		<Route exact path="/" component={Main} />
		<Route exact path="/count" component={Count} />
		<Route exact path="/todo" component={Count} />
		<Route exact path="/redux-todo" component={ReduxTodo} />
		<Route exact path="/remote-todo" component={RemoteTodo} />

		<Route
			exact
			path="/exact"
			render={() => (
				<div>
					<Redirect to="/" />
				</div>
			)}
		/>

		<Route exact render={() => <div>PAGE 404 NOT FOUND</div>} />
	</Switch>
);
