import React, { Component } from "react";
import ReactDOM from "react-dom";

import "./style.scss";

export default class Modal extends Component {
	render() {
		const { children, open } = this.props;
		return open
			? ReactDOM.createPortal(
					<div className="modal" ref={this.modal}>
						{children}
					</div>,
					document.body
			  )
			: null;
	}
}
